package com.zy.bms.mapper;

import com.zy.bms.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Mapper
@Repository
public interface UserMapper extends BaseMapper<User> {

    /**
     * 通过用户Id 查询用户拥有权限的设备组
     *
     * @param userId 用户ID
     */
    List<String> ownGroupIds(@Param("userId") Integer userId);
}
